GET /api/external/hub/v1/orders/status

Retrieve detailed status information for a specific order including all warehouse orders and their current states.

Query parameters

  • connect_identifier string Required

    Connect identifier for the seller account

  • market_order_id string Required

    Marketplace order ID

Responses

  • 200 application/json

    Order status retrieved successfully

    Hide response attributes Show response attributes object
    • market_order_id string

      Marketplace order ID

    • order_status string

      Overall order status

    • warehouse_orders array[object]
      Hide warehouse_orders attributes Show warehouse_orders attributes object
      • warehouse_order_id integer

        Internal warehouse order ID

      • status string

        Warehouse order status

  • 404

    Order not found

GET /api/external/hub/v1/orders/status
curl \
 --request GET 'https://api.useshelf.com/api/external/hub/v1/orders/status?connect_identifier=string&market_order_id=string'
Response examples (200)
{
  "market_order_id": "string",
  "order_status": "string",
  "warehouse_orders": [
    {
      "warehouse_order_id": 42,
      "status": "string"
    }
  ]
}